Update status

View as Markdown
Pause or resume a deployment. | Action | Effect | |---|---| | `pause` | Stop accepting inbound calls | | `resume` | Start accepting inbound calls again |

Path parameters

org_idstringRequired
workspace_idstringRequired
deployment_idstringRequired

Request

This endpoint expects an object.
actionenumRequired

Action to perform: pause or resume

Response

Successful Response
deployment_idstring
Unique identifier for the deployment
app_idstring
ID of the agent
app_versioninteger
Version of the agent
connection_configslist of objects
Telephony connection configurations
channel_directionenum

Direction of calls (inbound, outbound, or both)

created_bystring
User who created this deployment
created_atdatetime

Timestamp when created (ISO 8601)

updated_atdatetime

Timestamp when last updated (ISO 8601)

namestring or null
Name of the deployment
statusenum or null
Current status of the deployment
descriptionstring or null
Optional description
inbound_configobject or null
Inbound call schedule configuration
updated_bystring or null
User who last updated this deployment

Errors

422
Unprocessable Entity Error